package cs206proj.part3;

//
// A class for testing out the Dictionary ADT
// Copyright (c) 2000 Tia Newhall, Lisa Meeden

import java.util.*;

public class TryHashMyString {

	public static void main(String[] args) {
		
		// uncomment this section if you developed an Open Addressing Hash Table
		/*
		System.out.println("\nOpen Addressing Hash Table: Length 7");
		OpenAddressingHashtable<MyString,MyString> dict1 = new OpenAddressingHashtable<MyString,MyString>(7);
		dict1.put(new MyString("banana"), new MyString("banana"));
		dict1.put(new MyString("avacado"), new MyString("avacado"));
		dict1.put(new MyString("apple"), new MyString("apple"));
		dict1.put(new MyString("donut"), new MyString("glazed"));
		dict1.put(new MyString("donut"), new MyString("frosted"));
		dict1.put(new MyString("donut"), new MyString("sprinkles"));
		dict1.put(new MyString("donut"), new MyString("filling"));
		System.out.println();
		System.out.println(dict1);
		Iterator<MyString> iter = dict1.getAll(new MyString("donut"));
		while(iter.hasNext()) {
			System.out.println(iter.next());
		}
		*/
		 
		// uncomment this section if you developed a Chaining Hash Table
		/*
		System.out.println("\nChaining Hash Table: Length 7");
		ChainingHashtable<MyString,MyString> dict2 = new ChainingHashtable<MyString,MyString>(7);
		dict2.put(new MyString("banana"), new MyString("banana"));
		dict2.put(new MyString("avacado"), new MyString("avacado"));
		dict2.put(new MyString("apple"), new MyString("apple"));
		dict2.put(new MyString("donut"), new MyString("glazed"));
		dict2.put(new MyString("donut"), new MyString("frosted"));
		dict2.put(new MyString("donut"), new MyString("sprinkles"));
		dict2.put(new MyString("donut"), new MyString("filling"));
		System.out.println();
		System.out.println(dict2);
		System.out.println("find all elements with key donut");
		iter = dict2.getAll(new MyString("donut"));
		while(iter.hasNext()) {
			System.out.println(iter.next());
		}
		System.out.println();
		System.out.println("remove all elements with key donut");
		iter = dict2.removeAll(new MyString("donut"));
		while(iter.hasNext()) {
			System.out.println(iter.next());
		}
		System.out.println();
		System.out.println(dict2);
		*/
	}
}

/*
 * example class with overridden hashCode method (a very bad hashCode choice)
 */
class MyString {
	private String str;

	MyString(String initial) { str = initial; }
	public String getString() { return str; }
	public int hashCode() { return (int)str.charAt(0); }
	public boolean equals(Object other) { 
		return str.equals(((MyString)other).getString()); 
	}
	public String toString() { return str; }
}
